package be.iminds.ilabt.jfed.gts.model;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 16:02
 */
public interface GtsHost extends GtsNode {

    /**
     * @return
     * The minimum clock speed of the CPU in Ghz
     */
    Double getCpuSpeed();
    void setCpuSpeed(Double cpuSpeed);

    String getImage();
    void setImage(String image);

    /**
     * @return
     * Disk space coming with the host defined in GB
     */
    Integer getDisk();
    void setDisk(Integer disk);

}
